//
//     Copyright (C) 2006 - 2007 SophiaCradle, Inc.
//     All rights reserved.
//
//      SGRSoftkeyToolbox.hpp
//

#ifndef __SGRSOFTKEYTOOLBOX_HPP
#define __SGRSOFTKEYTOOLBOX_HPP

#include <SophiaFramework.hpp>

class SGRSoftkeyToolbox : public SFRHandler {

public:

    static SFXRectangle GetWindowPosition(Void);
    static SFXRectangle GetDialogPosition(SFXMarginConstRef margin, SInt16 height);
    static SFXRectangle GetMenuPosition(SInt16 limit);
    static SFCError OpenStandardDialog(SFRDialogPtr dialog, SFRHandler::SFRHandlerSPP procedure, VoidPtr reference);
    static Void CloseStandardDialog(SFRDialogPtr dialog);
    static SFCError OpenCustomDialog(SFRDialogPtr dialog, SFRHandler::SFRHandlerSPP procedure, VoidPtr reference);
    static Void CloseCustomDialog(SFRDialogPtr dialog);
    static SFCError OpenStandardMenu(SFRMenuPtr menu, SFRHandler::SFRHandlerSPP procedure, VoidPtr reference);
    static Void CloseStandardMenu(SFRMenuPtr menu);

private:

    static Bool OnSoftkeySHP(SFXEventConstRef event, VoidPtr reference);
};

#endif // __SGRSOFTKEYTOOLBOX_HPP //
