//
//     Copyright (C) 2006 - 2007 SophiaCradle, Inc.
//     All rights reserved.
//
//      VDialog.hpp
//

#ifndef __SOPHIACRADLE_VDIALOG_HPP
#define __SOPHIACRADLE_VDIALOG_HPP

#include <SophiaFramework.hpp>

SFMRESPONDERATTRIBUTE(VDIALOG, four_char_code('V', 'e', 'r', 's'))

SFMTYPEDEFCLASS(VDialog)

class VDialog : public SFRTitleDialog {

    SFMSEALCOPY(VDialog)

    private:

        SFBImageSmp _image;

    public:

        explicit VDialog(Void) static_throws;
        virtual ~VDialog(Void);

    private:

        HANDLER_DECLARE_VOIDRENDER(OnRender)
        HANDLER_DECLARE_VOIDVOID(OnOk)
};

#endif // __SOPHIACRADLE_VDIALOG_HPP //
